> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/perculus-api/services/oturum-yonetimi/session-list.md).

# Oturum Listesi

Aşağıdaki alanda oturum listesini nasıl çekebileceğinizi gösteren örnek kod bloğunu görebilirsiniz:

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location 'https://<DOMAIN>/xapi/session' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data ''
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde oturumlarınızı listeleyebilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#List sessions 
sessions = client.sessions.list_sessions()
print(sessions)
```

İstek sonrasında aşağıdaki örnek response modelini görebilirsiniz:

```json
[
    {
        "session_id": "<SESSION_ID>",
        "name": "test session",
        "description": "",
        "tags": "",
        "start_date": "2024-09-25T14:00:25.699+03:00",
        "timezone": "Europe/Istanbul",
        "duration": 10,
        "lang": "tr-TR",
        "status": 1,
        "replay_status": 0,
        "options": {
            "allow_rating": true,
            "preparation_time": 15,
            "session_duration": 60,
            "chat": {
                "offMessageModule": false,
                "offGeneralMsging": false,
                "offGeneralMsgLimitForUser": false,
                "offSpecialMsging": false,
                "offSpecialMsgToAdmin": false,
                "offSpecialMsgToUser": false,
                "offNewMsgSound": false,
                "offClearForReplay": false,
                "onNewMsgSoundInAll": false,
                "onNewMsgNotifyInAll": false
            },
            "duration": {
                "allowExtendTime": true,
                "useRemainingTime": false
            },
            "allow_users_stream_self_cam_mic": true,
            "hide_user_streams": false,
            "enable_attendance_check": false,
            "enable_simultaneous_interpretation": false,
            "enable_simultaneous_interpretation_for_users": false,
            "start_active": false,
            "return_url": ""
        },
        "creation_date": "2024-08-08T10:05:58.663361+00:00",
        "updating_date": null
    }
]

```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
Bu istek ile servisten gelen response'da bulunan listedeki herhangi bir oturumda işlem yapmak isterseniz ilgili oturumun ***SESSION\_ID*** verisini güvenli bir şekilde saklamanız gerekmektedir.
{% endhint %}
